Bug 1770237 - Cannot assign a vNIC profile for VM instance profile.
Summary: Cannot assign a vNIC profile for VM instance profile.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ovirt-4.4.0
: ---
Assignee: Dominik Holler
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-08 14:41 UTC by Abhishekh Patil
Modified: 2020-08-04 13:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the virtual machine (VM) instance type edit and create dialog displayed a vNIC profile editor. This item gave users the impression they could associate a vNIC profile with an instance type, which is not valid. The current release fixes this issue by removing the vNIC profile editor from the instance edit and create dialog.
Clone Of: 1371537
Environment:
Last Closed: 2020-08-04 13:21:16 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:21:37 UTC
oVirt gerrit 104595 0 'None' MERGED webadmin: Hide vNIC profile editor for instance types 2020-05-13 10:42:57 UTC

Comment 1 Abhishekh Patil 2019-11-08 14:47:05 UTC
+++ This bug is a downstream clone. The original bug is: +++
+++   bug 1371537 +++
======================================================================

Description of problem:

In VM instance "edit" window, it is impossible to pick up any vNIC profile.

Version-Release number of selected component (if applicable):
RHV-4.3.5

How reproducible:

[100%]

Steps to Reproduce:
1. Log in admin portal.
2. At the top-right press "Configure".
3. Select existing instance profile or create a new one.
4. Select "Edit instance type".
5. Press "Edit".
6. Select "General" tab.
7. Try to assign any values at "Instantiate VM network interfaces by picking a vNIC profile." section.


Actual results:

We are not able to assign the vNIC profile.


Expected results:

We should be able to assign the vNIC profile.

Additional info:

Comment 3 Michal Skrivanek 2019-11-09 06:11:58 UTC
This was closed couple times already

Comment 4 Dominik Holler 2019-11-12 16:25:25 UTC
(In reply to Abhishekh Patil from comment #1)
> 
> Actual results:
> 
> We are not able to assign the vNIC profile.
> 
> 
> Expected results:
> 
> We should be able to assign the vNIC profile.
> 

As explained in bug 1138431 it is conceptually not possible to assign a vNIC profile to an instance type.
The UI should not create the expectation, that this is possible.

Comment 5 Laura Wright 2019-11-21 12:21:43 UTC
I would agree if it is not possible the UI should not show it as an option.

Comment 6 Dominik Holler 2019-11-21 12:34:02 UTC
(In reply to Laura Wright from comment #5)
> I would agree if it is not possible the UI should not show it as an option.

Thanks Laura.

Comment 8 RHV bug bot 2019-12-13 13:16:35 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 9 Michael Burman 2019-12-16 05:04:33 UTC
Verified on - rhvm-4.4.0-0.9.master.el7.noarch

Comment 10 RHV bug bot 2019-12-20 17:46:01 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 11 RHV bug bot 2020-01-08 14:48:03 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 12 RHV bug bot 2020-01-08 15:18:35 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 13 RHV bug bot 2020-01-24 19:51:33 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 17 errata-xmlrpc 2020-08-04 13:21:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.